# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
com.databricks.jdbc.api.IDatabricksResultSet.getStatementStatus()
Use `IDatabricksResultSet.getExecutionStatus()` instead.
com.databricks.jdbc.api.impl.EmptyResultSet.getBigDecimal(int, int)
com.databricks.jdbc.api.impl.EmptyResultSet.getBigDecimal(String, int)
com.databricks.jdbc.api.impl.EmptyResultSet.getUnicodeStream(int)
com.databricks.jdbc.api.impl.EmptyResultSet.getUnicodeStream(String)